> ## Documentation Index
> Fetch the complete documentation index at: https://help.eazybe.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Konuşma analizlerini getir

> Konuşma analizlerini getir. Bu işlem için parametreleri, örneği ve kullanılabilir yanıtları inceleyin.



## OpenAPI

````yaml tr/api-reference/meta/openapi.json GET /meta/wabas/{wabaId}/conversation-analytics
openapi: 3.1.0
info:
  title: Eazybe Meta API Katmanı
  version: 1.0.0
  description: >-
    WhatsApp Business Cloud API için kimlik doğrulamalı tek bir Eazybe REST
    yüzeyi.
servers:
  - url: https://cerberus.eazybe.com/staging/api/v2
    description: Bu yer tutucuyu ortamınıza atanmış Eazybe API sunucusuyla değiştirin.
security:
  - bearerAuth: []
tags:
  - name: Telefon numaraları
    description: Bağlı WABA ve telefon numarası kimliklerini bulun.
  - name: Mesajlaşma
    description: WhatsApp mesajları gönderin ve mesaj durumunu güncelleyin.
  - name: Şablonlar
    description: WhatsApp mesaj şablonlarını yönetin.
  - name: Medya
    description: WhatsApp medya dosyalarını yükleyin, görüntüleyin ve silin.
  - name: Webhook'lar
    description: Bir WABA'nın webhook aboneliklerini yönetin.
  - name: Analizler
    description: Mesajlaşma, konuşma, fiyatlandırma ve şablon analizlerini görüntüleyin.
  - name: Profiller ve ayarlar
    description: İşletme profillerini ve telefon numarası ayarlarını yönetin.
  - name: Otomasyon
    description: Karşılama mesajlarını, başlangıç sorularını ve komutları yapılandırın.
  - name: QR kodları
    description: Sohbete yönlendiren QR kodlarını yönetin.
  - name: Flows
    description: WhatsApp Flows yaşam döngüsünü yönetin.
  - name: Numara yönetimi
    description: >-
      Numaraları kaydedin, PIN'leri yönetin ve birlikte kullanım verilerini
      eşitleyin.
  - name: Engellenenler listesi
    description: WhatsApp kullanıcılarını listeleyin, engelleyin ve engellerini kaldırın.
paths:
  /meta/wabas/{wabaId}/conversation-analytics:
    get:
      tags:
        - Analizler
      summary: Konuşma analizlerini getir
      description: >-
        Konuşma analizlerini getir. Bu işlem için parametreleri, örneği ve
        kullanılabilir yanıtları inceleyin.
      operationId: getConversationAnalytics
      parameters:
        - $ref: '#/components/parameters/WabaId'
        - name: start
          in: query
          required: true
          description: Aralığın Unix saniyesi cinsinden başlangıcı.
          schema:
            type: integer
        - name: end
          in: query
          required: true
          description: Aralığın Unix saniyesi cinsinden sonu.
          schema:
            type: integer
        - name: granularity
          in: query
          required: false
          schema:
            type: string
            enum:
              - HALF_HOUR
              - DAILY
              - MONTHLY
            default: DAILY
        - name: phoneNumbers
          in: query
          required: false
          description: Virgülle ayrılmış telefon numarası kimlikleri.
          schema:
            type: string
        - name: metricTypes
          in: query
          required: false
          description: Virgülle ayrılmış metrik türleri.
          schema:
            type: string
        - name: dimensions
          in: query
          required: false
          description: Virgülle ayrılmış boyutlar.
          schema:
            type: string
      responses:
        '200':
          description: >-
            Analytics returned


            **Failure responses**


            | **Status** | **Meaning** | **Action** |

            | --- | --- | --- |

            | `401` | Missing, invalid, or expired bearer token |
            Re-authenticate |

            | `404` | `wabaId` not linked to your organization | Verify the id |

            | `400` | `start`/`end` missing or non-numeric (they become `NaN` in
            the field expression), or invalid `granularity` | Always send
            Unix-second `start` and `end` |

            | `502` | Graph unreachable or timed out | Retry with backoff |
          content:
            application/json:
              schema:
                type: object
                required:
                  - conversation_analytics
                  - id
                properties:
                  conversation_analytics:
                    type: object
                    required:
                      - data
                    properties:
                      data:
                        type: array
                        items:
                          type: object
                          required:
                            - data_points
                          properties:
                            data_points:
                              type: array
                              items:
                                type: object
                                required:
                                  - start
                                  - end
                                  - conversation
                                  - cost
                                  - conversation_category
                                  - conversation_type
                                  - phone_number
                                properties:
                                  start:
                                    type: integer
                                  end:
                                    type: integer
                                  conversation:
                                    type: integer
                                  cost:
                                    type: number
                                  conversation_category:
                                    type: string
                                  conversation_type:
                                    type: string
                                  phone_number:
                                    type: string
                  id:
                    type: string
              example:
                conversation_analytics:
                  data:
                    - data_points:
                        - start: 1753900000
                          end: 1753986400
                          conversation: 412
                          cost: 3.71
                          conversation_category: MARKETING
                          conversation_type: REGULAR
                          phone_number: '919900000000'
                id: '1029384756'
components:
  parameters:
    WabaId:
      name: wabaId
      in: path
      required: true
      description: >-
        `GET /meta/phone-numbers` tarafından döndürülen WhatsApp Business hesabı
        kimliği.
      schema:
        type: string
      example: '1029384756'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Eazybe token
      description: >-
        Eazybe bearer tokenı. Token kuruluşu tanımlar ve sunucuda güvenli
        tutulmalıdır.

````